DataBolsa docs
Referência da APIDados de mercadoAções

VWAP oficial e nº de negócios por pregão (B3 consolidado)

Série diária de VWAP oficial (TradAvrgPric), nº de negócios e volume financeiro do instrumento, do arquivo consolidado da B3. Complementa o OHLC ajustado de /quotes.

GET
/v1/stocks/{ticker}/trade-stats
AuthorizationBearer <token>

In: header

Path Parameters

tickerstring
Match^[A-Z][A-Z0-9]{3}[0-9]{0,2}$

Query Parameters

cursor?string
limit?integer
Default100
Range1 <= value <= 1000
from?string
Match^\d{4}-\d{2}-\d{2}$
to?string
Match^\d{4}-\d{2}-\d{2}$

Response Body

curl -X GET "https://api.databolsa.com/v1/stocks/string/trade-stats?cursor=string&limit=100&from=string&to=string"
{
  "data": [
    {
      "ticker": "string",
      "trade_date": "string",
      "segment": "string",
      "vwap": 0,
      "min_price": 0,
      "max_price": 0,
      "last_price": 0,
      "n_trades": 0,
      "quantity": 0,
      "financial_volume": 0,
      "lineage": "string"
    }
  ],
  "meta": {
    "next_cursor": "string",
    "count": 0
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}